<?php
/**
 * The template for displaying archive pages
 *
 * Used to display archive-type pages if nothing more specific matches a query.
 * For example, puts together date-based pages if no date.php file exists.
 *
 * If you'd like to further customize these archive views, you may create a
 * new template file for each one. For example, tag.php (Tag archives),
 * category.php (Category archives), author.php (Author archives), etc.
 *
 * Learn more: {@link https://codex.wordpress.org/Template_Hierarchy}
 *
 * @package Amez
 * @since Amez 1.0
 */

get_header(); ?>

    <div class="main">
    
        <div class="content">
            
            <div class="post-container">
            
				<?php if ( have_posts() ) : ?>
                
					<header class="archive-header">
						<?php
                        the_archive_title( '<h1>', '</h1>' );
                        the_archive_description( '<div class="taxonomy-description">', '</div>' );
						?>
					</header>
                            
                    <?php
                    while ( have_posts() ) : the_post();
                                    
                    	get_template_part( 'content', get_post_format() );
                                
                    endwhile;
                                    
                                    
                    the_posts_pagination( array(
                        'prev_text'          => __( 'Previous page', 'amez' ),
                        'next_text'          => __( 'Next page', 'amez' ),
                        'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'amez' ) . ' </span>',
                    ) );
                                    
                                
                    else :
                                
                    get_template_part( 'content', 'none' );
                            
                endif;
                ?>
                
            </div><!--.post-container-->
            
        </div><!--.content-->
            
        <?php get_sidebar(); ?>
    
    </div><!--.main-->

<?php get_footer(); ?>