<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<?php if ( has_post_thumbnail()) the_post_thumbnail('cover', array('title' => esc_attr( $post->post_title ) , 'alt' => esc_attr( $post->post_title ) ) ); ?>
    
	<header class="entry-header">
		<?php
			if ( is_single() ) :
				the_title( '<h1>', '</h1>' );
			else :
				the_title( sprintf( '<h2><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );
			endif;
		?>
	</header><!-- .entry-header -->
    
    <?php if ( get_post_type() != 'page' ) : ?>
	<div class="info">
    	<time class="post-date"><?php echo get_the_date( get_option('date-format') ); ?></time>
        <span class="post-author"><?php the_author_posts_link(); ?></span>
        <span class="post-cmts"><?php comments_popup_link( __( 'No comments yet', 'amez' ), __( '1 comment', 'amez' ), __( '% comments', 'amez' ), __( 'comments-link', 'amez' ), __( 'Comments are off for this post', 'amez' ) ); ?></span>
    	<?php edit_post_link( __( 'Edit Post', 'amez' ), '<span class="post-edit">', '</span>'); ?>
    </div>
    <?php elseif ( is_user_logged_in() && get_post_type() == 'page' ) : ?>
    <div class="info">
    	<?php edit_post_link( __( 'Edit Post', 'amez' ), '<span class="post-edit">', '</span>'); ?>
    </div>
    <?php endif; ?>

	<div class="entry-content">
		<?php
			the_content( __( 'Continue Reading', 'amez' ) );

			wp_link_pages( array(
				'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'amez' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
				'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', 'amez' ) . ' </span>%',
				'separator'   => '<span class="screen-reader-text">, </span>',
			) );
		?>
	</div><!-- .entry-content -->
    
		<?php
        $tags_list = get_the_tag_list( '', _x( ', ', 'Used between list items, there is a space after the comma.', 'amez' ) );
		if ( is_single() && $tags_list ) {
			printf( '<span class="tags-links"><span class="screen-reader-text">%1$s </span>%2$s</span>',
				_x( 'Tags', 'Used before tag names.', 'amez' ),
				$tags_list
			);
		}
		?>
    
</article>