<?php


	/**
	* after setup theme function
	*/
	if ( ! function_exists( 'amez_setup' ) ) {
		function amez_setup() {
			
			
			/**
			* text domain
			*/
			load_theme_textdomain( 'amez', get_template_directory() . '/languages' );
			
			
				

			/**
			* add theme support - featured images
			*/
			add_theme_support('post-thumbnails');
			add_image_size('cover', 896, 350, true);
			
	
	
			/**
			* Switch default core markup for search form, comment form, and comments
			* to output valid HTML5.
			*/
			add_theme_support( 'html5', array(
					'search-form', 'comment-form', 'comment-list', 'gallery', 'caption'
			) );
		
		
		
		
			/**
			* add support for title tag
			*/
			add_theme_support( 'title-tag' );
		
		
		
		
			/**
			* add support for automatic feed links
			*/
			add_theme_support( 'automatic-feed-links' );
			
			
			
			
			/**
			* Custom Header ( @index.php )
			*/
			$args = array(
				'width'               => 260,
				'height'              => 260,
				'default-image'    => get_template_directory_uri() . '/images/avatar.jpg',
				'uploads'            => true,
				'header-text'       => false,
				'random-default'  => false,
			);
			add_theme_support( 'custom-header', $args );
			
			
			
			
			/**
			* define content width
			*/
			if ( ! isset( $content_width ) ) $content_width = 900;
			
			
		
			
			/**
			* register dynamic menus
			*/	
			register_nav_menus( array(
					'navbar' => __( 'Navbar', 'amez' ),
			) );
			
			
			
			
			/**
			* register dynamic widgets - sidebar/s
			*/
			function amez_widgets_init() {
				register_sidebar(array(
					'id' => 'sidebar-1',
					'name' => 'sidebar',
					'before_widget' => '<div class="block %2$s">',
					'after_widget' => '</div>',
					'before_title' => '<div class="block-title"><h3>',
					'after_title' => '</h3></div>'    
				));
			}
			add_action( 'widgets_init', 'amez_widgets_init' );
	
	
	
	
		}
	add_action( 'after_setup_theme', 'amez_setup' );
	}
	




	/**
	* include theme functions
	*/
	require_once( get_template_directory() . '/inc/theme-tags.php' );




	/**
	* include customizer
	*/
	require_once( get_template_directory() . '/inc/customizer.php' );
	
	


	/**
	* enqueue styles and javascripts
	*/
	function amez_styles_and_scripts() {
		wp_enqueue_style( 'amez-style', get_stylesheet_uri() );
		wp_enqueue_style( 'amez-responsive', get_template_directory_uri() . '/css/responsive.css' );
		wp_enqueue_style( 'open-sans' );
		wp_enqueue_script( 'jquery' );
		wp_enqueue_script( 'amez-jquery-functions', get_template_directory_uri() . '/js/jquery-amez-functions.js', array(), '1.0.0', true );
		if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
		}
	}
	add_action( 'wp_enqueue_scripts', 'amez_styles_and_scripts' );
	
	
	
	
	/**
	 * Callback for Comments lists in comments.php
	 */
	function amez_comments($comment, $args, $depth) {
		$GLOBALS['comment'] = $comment; ?>
		<li>
			<div class="comment-body" id="comment-<?php comment_ID(); ?>">
			<div class="vcard"><?php if ($args['avatar_size'] != 0) echo get_avatar( $comment, '70' ); ?></div>
			<div <?php comment_class(); ?>>
			<?php printf('<div class="fn">%s</div>', get_comment_author_link()) ?>
			<div class="commentmetadata"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf( '%1$s at %2$s' , get_comment_date(),  get_comment_time() ) ?></a><?php edit_comment_link('(Edit)','  ','') ?></div>
			<div class="comment_content">
			<?php comment_text() ?>
			<?php if ($comment->comment_approved == '0') : ?><span class="comment-awaiting-moderation amez-text"><?php printf('Dear %s', get_comment_author_link()) ?><?php echo __(' , Your Comment is Awaiting Moderating', 'amez'); ?></span><?php endif; ?>
            <div class="reply"><?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?></div>
			</div></div>
			</div>
	<?php }