<?php

	/**
	* amez theme Customizer
	* all prepeared by Ata Nemani
	* www.atanemani.ir
	*/
	

	/**
	* Social Links
	*/
	function mytheme_customize_register( $wp_customize ) {
   
		$wp_customize->add_setting( 'amez_facebook_setting' , array( 'transport'   => 'refresh', 'sanitize_callback' => 'esc_url_raw' ) );
		$wp_customize->add_setting( 'amez_twitter_setting' , array( 'transport'   => 'refresh', 'sanitize_callback' => 'esc_url_raw' ) );
		$wp_customize->add_setting( 'amez_googleplus_setting' , array( 'transport'   => 'refresh', 'sanitize_callback' => 'esc_url_raw' ) );
		$wp_customize->add_setting( 'amez_pinterest_setting' , array( 'transport'   => 'refresh', 'sanitize_callback' => 'esc_url_raw' ) );
		$wp_customize->add_setting( 'amez_instagram_setting' , array( 'transport'   => 'refresh', 'sanitize_callback' => 'esc_url_raw' ) );
		$wp_customize->add_setting( 'amez_linkedin_setting' , array( 'transport'   => 'refresh', 'sanitize_callback' => 'esc_url_raw' ) );


		$wp_customize->add_section( 'amez_social_links_section' , array(
			'title'      => __( 'Social Links', 'amez' ),
			'priority'   => 60,
		) );

		$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'facebook_profile', array(
			'label'        => __( 'Facebook', 'amez' ),
			'section'    => 'amez_social_links_section',
			'settings'   => 'amez_facebook_setting'
		) ) );

		$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'twitter_profile', array(
			'label'        => __( 'Twitter', 'amez' ),
			'section'    => 'amez_social_links_section',
			'settings'   => 'amez_twitter_setting'
		) ) );

		$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'googleplus_profile', array(
			'label'        => __( 'Google Plus', 'amez' ),
			'section'    => 'amez_social_links_section',
			'settings'   => 'amez_googleplus_setting'
		) ) );

		$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'pinterest_profile', array(
			'label'        => __( 'Pinterest', 'amez' ),
			'section'    => 'amez_social_links_section',
			'settings'   => 'amez_pinterest_setting'
		) ) );

		$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'instagram_profile', array(
			'label'        => __( 'Instagram', 'amez' ),
			'section'    => 'amez_social_links_section',
			'settings'   => 'amez_instagram_setting'
		) ) );

		$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'linkedin_profile', array(
			'label'        => __( 'Linked In', 'amez' ),
			'section'    => 'amez_social_links_section',
			'settings'   => 'amez_linkedin_setting'
		) ) );

 
   
	}
	add_action( 'customize_register', 'mytheme_customize_register' );
	
	
	
	/**
	* theme customization
	*/
	function amez_customize_register($wp_customize) {
	
		$wp_customize->add_setting(
			'amez_color_scheme', array(
				'default' => '#825b9e',
				'sanitize_callback' => 'sanitize_hex_color'
			)
		);
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'amez_color_scheme', array(
			'label' => __('Color Scheme','amez'),
			'section' => 'colors',
			'settings' => 'amez_color_scheme',
			)));
	
	}
	add_action( 'customize_register', 'amez_customize_register' );
	
	
	/**
	* Color Scheme
	*/
	function mytheme_customize_css() {
		
		if  ( get_theme_mod('amez_color_scheme') ){
			$color_scheme = get_theme_mod('amez_color_scheme');
		} else {
			$color_scheme = '#825b9e';
		}
		
		?>
        
	<style type="text/css">
	
	.main:before,
	.header:before,
	.sidebar,
	.comment-form input[type="submit"],
	.nav-links .current,
	.post-container input[type="submit"],
	.page-links a span {
		background-color:<?php echo $color_scheme; ?>;
	}
	
	.bypostauthor {
		background:rgba(<?php $hex = $color_scheme; list($r, $g, $b) = sscanf($hex, "#%02x%02x%02x"); echo "$r,$g,$b,0.4"; ?>) !important;
	}
	
	.archive-header {
		border-left:10px solid <?php echo $color_scheme; ?>;	
	}
	
	#menu-navbar li a:hover,
	.nav-links a:hover,
	.post.sticky h2:before,
	.info *:hover,
	.post .more-link {
		color:<?php echo $color_scheme; ?>;
	}
	
	.the-tags h6:before {
		border-right-color:<?php echo $color_scheme; ?>;
	}
	
	</style>
    
    <?php
	}
	add_action( 'wp_head', 'mytheme_customize_css');