<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * e.g., it puts together the home page when no home.php file exists.
 *
 * Learn more: {@link https://codex.wordpress.org/Template_Hierarchy}
 *
 * @package Amez
 * @since Amez 1.0
 */

get_header(); ?>

    <div class="main">
    
        <div class="content">
            
            <div class="post-container">
            
				<?php if ( have_posts() ) : ?>
                
					<?php if ( is_home() && ! is_front_page() ) : ?>
                        <header>
                            <h1><?php single_post_title(); ?></h1>
                        </header>
                    <?php endif; ?>
                            
                    <?php
                    while ( have_posts() ) : the_post();
                                    
                    	get_template_part( 'content', get_post_format() );
                                
                    endwhile;
                                    
                                    
                    the_posts_pagination( array(
                        'prev_text'          => __( 'Previous page', 'amez' ),
                        'next_text'          => __( 'Next page', 'amez' ),
                        'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'amez' ) . ' </span>',
                    ) );
                                    
                                
                    else :
                                
                    get_template_part( 'content', 'none' );
                            
                endif;
                ?>
                
            </div><!--.post-container-->
            
        </div><!--.content-->
            
        <?php get_sidebar(); ?>
    
    </div><!--.main-->

<?php get_footer(); ?>