<?php
/**
 * The template for displaying search results pages.
 *
 * @package WordPress
 * @subpackage Twenty_Fifteen
 * @since Twenty Fifteen 1.0
 *
 * Learn more: {@link https://codex.wordpress.org/Template_Hierarchy}
 *
 * @package Amez
 * @since Amez 1.0
 */

get_header(); ?>

    <div class="main">
    
        <div class="content">
            
            <div class="post-container">
            
				<?php if ( have_posts() ) : ?>
                
					<header class="archive-header">
                        <h1><?php printf( __( 'Search Results for: %s', 'amez' ), get_search_query() ); ?></h1>
					</header>
                            
                    <?php
                    while ( have_posts() ) : the_post();
                                    
                    	get_template_part( 'content', get_post_format() );
                                
                    endwhile;
                                    
                                    
                    the_posts_pagination( array(
                        'prev_text'          => __( 'Previous page', 'amez' ),
                        'next_text'          => __( 'Next page', 'amez' ),
                        'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'amez' ) . ' </span>',
                    ) );
                                    
                                
                    else :
                                
                    get_template_part( 'content', 'none' );
                            
                endif;
                ?>
                
            </div><!--.post-container-->
            
        </div><!--.content-->
            
        <?php get_sidebar(); ?>
    
    </div><!--.main-->

<?php get_footer(); ?>